Subject: RE: [VRRP] MIB work

From: [email-masked]
Date: Wed, 3 Sep 2003 19:54:15 -0700

Well, actually there is a general guidelines as per
RFc3291 and as per draft-ietf-ops-mib-review-guidelines-02.txt

- As we can see, these guidelines are not helping us in the 
VRRP situation. I meant that we need to document the process in which 
we arrive at two separate MIBs vs. one MIB which will be helpful for
developing other MIBs.
----
But those MIB documents are being revised and obsoleted by work in
an IPv6MIB design team and the IPv6 WG. There are new IDs that
you can look at. And they are using the new concenpts as per
RFC3291.

- We finalized on two MIB approach after reviewing RFC3291 and deciding that 
VRRP for IPv6 is inherently IP version specific and hence requires a separate 
MIB.

- As I mentioned earlier, I can definitely see a way to define single VRRP-MIB with 
common parameters in a common table with each row additionally indexed on vrrp version (or
IP version - we can debate about this).
We still cannot avoid some parameters that are applicable to only one protocol and
hence have protocol specific tables (or scalar objects)
(As is the case with IPv6MIB draft) I feel that this defeats the whole concept of
coming up with one MIB especially if this results in no backward compatibility,
and the previous version of the MIBs are widely implemented.

I guess, If this is not a issue with IP-MIB, it won't be a issue with VRRP MIB too.

I am now slowly tilting towards having a single MIB as no one has come up with 
more reasons for multiple MIBs (except me :) ) and we definitely found new 
reasons for single MIB.

thanks
kalyan

Bert
> thanks
> kalyan
> 
> -----Original Message-----
> From: ext Wijnen, Bert (Bert) [mailto:[email-masked]]
> Sent: 03 September, 2003 03:23
> To: Tata Kalyan (NIC/MtView); [email-masked]
> Cc: [email-masked]
> Subject: RE: [VRRP] MIB work
> 
> 
> Kalyan  
> 
> MMM... you seem to keep calling me Bret, while it is Bert.
> I am not offended, just noticed.
> 
> Inline
> 
> Thanks,
> Bert 
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> > Sent: woensdag 3 september 2003 4:01
> > To: [email-masked]; [email-masked]
> > Cc: [email-masked]
> > Subject: RE: [VRRP] MIB work
> > 
> > 
> > Hi Bret, 
> > 	Thanks for the pointer. Browsing through the ID, it 
> looks like they 
> > 	are proposing two different MIBs too. I contacted the 
> authors about
> > 	their input on the pending one MIB vs two MIBs issue. 
> > 	
> I do not thing that they are proposing two MIB modules.
> They say:
>   -   Thus, changes will be required for this MIB to 
> interoperate in an
>       IPv6 environment.
>   -   The problems have not been addressed and a new MIB should 
>       be defined.
> 
> Maybe you conclude from that second bullet that they propose 
> a 2nd MIB.
> But I do not think that is the intention. A "new mib module" could
> either be:
>   - a complete replacement that includes both IPv4 and IPv6 support
>   - a complete replacement that adds IPv6 support to current module
>   - indeed a 2nd MIB module for IPv6 only.
> 
> It is up to the WG (with MIB dcotor help maybe) to decide what the
> best path forward would be.
> 
> Bert
> > Thanks
> > kalyan
> > 
> > -----Original Message-----
> > From: ext Wijnen, Bert (Bert) [mailto:[email-masked]]
> > Sent: 01 September, 2003 06:53
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: [VRRP] MIB work
> > 
> > 
> > Pls take a look (and comment if needed) on
> >   draft-ietf-v6ops-ipv4survey-ops-02.txt
> > 
> > A few snippets
> > 
> >   ... snip ..
> > 
> >   5.099 RFC 2787 Definitions of Managed Objects for the Virtual
> >         Router Redundancy Protocol
> > 
> >     As stated in the Overview section:
> > 
> >     Since the VRRP protocol is intended for use with IPv4 
> > routers only,
> >     this MIB uses the SYNTAX for IP addresses which is 
> > specific to IPv4.
> >     Thus, changes will be required for this MIB to 
> interoperate in an
> >     IPv6 environment.
> > 
> >   ... snip ...
> > 
> >   7.3.27  VRRP MIB (RFC 2787)
> > 
> >   The problems have not been addressed and a new MIB should 
> > be defined.
> > 
> >   .. snip ..
> > 
> > I have told them that you are working on it, but you may 
> want to keep
> > an eye on the survey doc as well.
> > 
> > Thanks,
> > Bert 
> > 
> > _______________________________________________
> > vrrp mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/vrrp
> > 
> 

_______________________________________________
vrrp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/vrrp